nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   71.86.11 drivers in Ubuntu 9.x with TNT2 M64, no way! (http://www.nvnews.net/vbulletin/showthread.php?t=140837)

Mistico 11-03-09 05:00 AM

71.86.11 drivers in Ubuntu 9.x with TNT2 M64, no way!
 
1 Attachment(s)
Hi.

I'm tired reading tutorials, threads on forums and the torah. I've tried the nvidia included drivers in Ubuntu 9.04 and Xubuntu 9.10, the nvidia-glx-71. No way.

I've tried too the official ones here, 71.86.11, same result.

Finally I got the same error, with the xorg.conf generated by nvidia-xconfig (last version), with kernel 2.6.28-11.generic:

Code:

(II) LoadModule: "nvidia"
(II) Loading /usr/lib/xorg/modules/drivers//nvidia_drv.so
dlopen: /usr/lib/xorg/modules/drivers//nvidia_drv.so: undefined symbol: AllocateScreenPrivateIndex
(EE) Failed to load /usr/lib/xorg/modules/drivers//nvidia_drv.so
(II) UnloadModule: "nvidia"
(EE) Failed to load module "nvidia" (loader failed, 7)
(EE) No drivers available.

So X doesn't start. I think it's an issue with the kernel, so is there any kernel with is 100% compatible with those drivers? (i mean 100%, not 99,9%). The machine is a Celeron 366 Slot 1, 384 MB RAM, mainboard ASUS p2-99b (bios updated on '99, the latest).

I've tested with the nvidia-embedded, the nvidia official and both of them. If not's a matter with the kernel, what's the matter? Every minute I don't receive an answer, got kills a kitten. Think about it. Without the official drivers the TNT2 is faster as a f'n s3 virge pci. And the Celeron is getting older, let the GPU work a little, please.

PS: (nana2) <- awesome lol

The xorg.log is attached.

packermann 11-03-09 07:01 AM

Re: 71.86.11 drivers in Ubuntu 9.x with TNT2 M64, no way!
 
I'm not 100% sure, but I think I've read several times, that with the legacy-drivers you need an older X-server...

AaronP 11-03-09 11:29 AM

Re: 71.86.11 drivers in Ubuntu 9.x with TNT2 M64, no way!
 
The 71.86.* legacy driver series requires an older X server. The newer legacy branches work with X servers up to version 1.6, though support for 1.7 is planned for future releases.

Mistico 11-06-09 07:50 AM

Re: 71.86.11 drivers in Ubuntu 9.x with TNT2 M64, no way!
 
So, What X server I have to install? I have some knowledge but I've never touched that part of Linux.

Any 1.6.x?

Maybe Nvidia personell should include a warning prior downloading drivers, specifying the compatibility issue.

sokar620 11-08-09 11:45 AM

Re: 71.86.11 drivers in Ubuntu 9.x with TNT2 M64, no way!
 
You should use X server 1.5.x.

Mistico 11-08-09 01:12 PM

Re: 71.86.11 drivers in Ubuntu 9.x with TNT2 M64, no way!
 
I'll try with Ubuntu 8.04 LTS, 8.10 it's sure it won't work. I'll keep you noticed.

Linuxhippy 11-08-09 07:58 PM

Re: 71.86.11 drivers in Ubuntu 9.x with TNT2 M64, no way!
 
You most liekly won't succeed.
If you can live without OpenGL support, I would really recommend using the nouveau driver.
It provides decent 2D acceleration, and supports old cards with new kernels+x-servers.

- Clemens


All times are GMT -5. The time now is 02:34 PM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.